package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 接口调用日志对象 t_u_log
 *
 * @author lei
 * @date 2021-07-06
 */
public class TULog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 删除时间 */
    private String delFlag;

    /** 登录人 */
    @Excel(name = "登录人")
    private Long loginUser;

    /** 登录名 */
    @Excel(name = "登录名")
    private String loginName;

    /** 调用接口id */
    @Excel(name = "调用接口id")
    private String interfaceinfoId;

    /** 调用接口名 */
    @Excel(name = "调用接口名")
    private String interfaceinfoName;

    /** ip地址 */
    @Excel(name = "ip地址")
    private String ipaddress;

    /** 操作系统 */
    @Excel(name = "操作系统")
    private String os;

    /** 平台接口类型 */
    @Excel(name = "平台接口类型")
    private String platformInterfacetype;

    /** 访问浏览器 */
    @Excel(name = "访问浏览器")
    private String browser;

    /** 参数条件 */
    @Excel(name = "参数条件")
    private String param;

    /** 返回结果 */
    @Excel(name = "返回结果")
    private String results;

    /** 操作数量 */
    @Excel(name = "操作数量")
    private Long operationQuantity;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private Long operationStatus;

    /** 异常记录 */
    @Excel(name = "异常记录")
    private String exceptionLog;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setLoginUser(Long loginUser)
    {
        this.loginUser = loginUser;
    }

    public Long getLoginUser()
    {
        return loginUser;
    }
    public void setLoginName(String loginName)
    {
        this.loginName = loginName;
    }

    public String getLoginName()
    {
        return loginName;
    }
    public void setInterfaceinfoId(String interfaceinfoId)
    {
        this.interfaceinfoId = interfaceinfoId;
    }

    public String getInterfaceinfoId()
    {
        return interfaceinfoId;
    }
    public void setInterfaceinfoName(String interfaceinfoName)
    {
        this.interfaceinfoName = interfaceinfoName;
    }

    public String getInterfaceinfoName()
    {
        return interfaceinfoName;
    }
    public void setIpaddress(String ipaddress)
    {
        this.ipaddress = ipaddress;
    }

    public String getIpaddress()
    {
        return ipaddress;
    }
    public void setOs(String os)
    {
        this.os = os;
    }

    public String getOs()
    {
        return os;
    }
    public void setPlatformInterfacetype(String platformInterfacetype)
    {
        this.platformInterfacetype = platformInterfacetype;
    }

    public String getPlatformInterfacetype()
    {
        return platformInterfacetype;
    }
    public void setBrowser(String browser)
    {
        this.browser = browser;
    }

    public String getBrowser()
    {
        return browser;
    }
    public void setParam(String params)
    {
        this.param = params;
    }

    public String getParam()
    {
        return param;
    }
    public void setResults(String results)
    {
        this.results = results;
    }

    public String getResults()
    {
        return results;
    }
    public void setOperationQuantity(Long operationQuantity)
    {
        this.operationQuantity = operationQuantity;
    }

    public Long getOperationQuantity()
    {
        return operationQuantity;
    }
    public void setOperationStatus(Long operationStatus)
    {
        this.operationStatus = operationStatus;
    }

    public Long getOperationStatus()
    {
        return operationStatus;
    }
    public void setExceptionLog(String exceptionLog)
    {
        this.exceptionLog = exceptionLog;
    }

    public String getExceptionLog()
    {
        return exceptionLog;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("loginUser", getLoginUser())
            .append("loginName", getLoginName())
            .append("interfaceinfoId", getInterfaceinfoId())
            .append("interfaceinfoName", getInterfaceinfoName())
            .append("ipaddress", getIpaddress())
            .append("os", getOs())
            .append("platformInterfacetype", getPlatformInterfacetype())
            .append("browser", getBrowser())
            .append("param", getParam())
            .append("results", getResults())
            .append("operationQuantity", getOperationQuantity())
            .append("operationStatus", getOperationStatus())
            .append("exceptionLog", getExceptionLog())
            .toString();
    }
}
